Manuel PHP
Précédent |  | Suivant

# filter_var

(no version information, might be only in CVS)

filter_var -- Filtre une variable avec un filtre spécifique

## Description

mixed filter_var ( mixed variable [, int filter [, mixed options]] )

## Liste de paramètres

`variable`

  Valeur à filtrer, les tableaux sont filtrés récursivement.

`filter`

  Identifiant du filtre à utiliser. Par défaut, vaut `FILTER_SANITIZE_STRING`.

`options`

  Tableau associatif d'options ou des drappeaux. Si le filtre accepte les options, les drappeaux peuvent être fournis dans le champ "flags" du tableau. Pour les filtres de "callback", le type callback devra être passé.

## Valeurs de retour

Retourne les données filtrées, ou `FALSE` si le filtre échoue.

## Exemples

Exemple 1. Exemple avec filter_var()

`<?php var_dump(filter_var('bob@example.com', FILTER_VALIDATE_EMAIL)); var_dump(filter_var('example.com', FILTER_VALIDATE_URL, FILTER_FLAG_SCHEME_REQUIRED)); ?>`

L'exemple ci-dessus va afficher :

    string(15) "bob@example.com"
    bool(false)

## Voir aussi

filter_var_array()
filter_input()
filter_input_array()
information à propos de callback type

Précédent | Sommaire | Suivant
filter_var_array | Niveau supérieur | Fonctions Firebird/InterBase